using Hotline.Settings.TimeLimits;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Settings.TimeLimitDomain.Repository;
public interface ITimeLimitSettingAttributeRepository : IRepository<TimeLimitSettingAttribute>
{
    Task<TimeLimitSettingAttribute?> GetAsync(string busCode, string name, string value);
    Task<TimeLimitSettingAttribute?> GetAsync(string name, string value);
    Task<TimeLimitSettingAttribute?> GetFuzzyAsync(string busCode, string name, string value);
}
